// Izpis prevrnjenega drevesa
public class Izpis{
	//izpis iskalnega dvojiskega drevesa
    public static void izpis(Drevo d, String zamik) throws Exception{
        if (d.prazno())
            System.out.println(zamik + "-");
        else{
            izpis(d.desniSin(), zamik + "   ");
            System.out.println(zamik + d.vrni());
            izpis(d.leviSin(), zamik + "   ");
        }
    }
	// izpis AVL drevesa
    public static void izpis(AVLDrevo d, String zamik) throws Exception{
        if (d.prazno())
            System.out.println(zamik + "-");
        else{
            izpis(d.desniSin(), zamik + "   ");
            System.out.println(zamik + d.vrni());
            izpis(d.leviSin(), zamik + "   ");
        }
    }
    // izpis faktorjev ravnotezja AVL drevesa
    public static void izpisF(AVLDrevo d, String zamik) throws Exception{
        if (d.prazno())
            System.out.println(zamik + "-");
        else{
            izpisF(d.desniSin(), zamik + "   ");
            System.out.println(zamik + d.koren().vrniFaktor());
            izpisF(d.leviSin(), zamik + "   ");
        }
    } 
    // izpis rdece - crnega drevesa   
    public static void izpis(RCDrevo d, String zamik) throws Exception{
        if (d.prazno())
            System.out.println(zamik + "-");
        else{
            izpis(d.desniSin(), zamik + "   ");
            System.out.println(zamik + d.vrni());
            izpis(d.leviSin(), zamik + "   ");
        }
    }
    // izpis barv rdece - crnega drevesa
    public static void izpisB(RCDrevo d, String zamik) throws Exception{
        if (d.prazno())
            System.out.println(zamik + "-");
        else{
            izpisB(d.desniSin(), zamik + "   ");
            System.out.println(zamik + d.koren().rdec());
            izpisB(d.leviSin(), zamik + "   ");
        }
    }  
}

