// Razred Vozel s komponentami:
//   * podatek(podatek, ki hranimo v vozliscu);
//   * levi, desni (referenci na naslednika);
//   * oce (referenca na oceta);
// Vsebuje ustrezne konstruktorje in metode
// s kateri upravljamo z vozliscem

public class Vozel{
   //podatek, ki ga hranimo v vozliscu
   private int podatek;
   private Vozel levi, desni; //kazalci na levega in desnega naslednika
   private Vozel oce;         //in oceta
   
   //konstruktor, ki ustvari prazen vozel
   public Vozel(){
      this.podatek = 0;
      this.levi = null;
      this.desni = null;
      this.oce = null;
   }

   //vozel s podatkom p
   public Vozel(int p){
      this.podatek = p;
      this.levi = null;
      this.desni = null;
      this.oce = null;
   }
   
      public Vozel(int p,Vozel o){
      podatek = p;
      levi = null;
      desni = null;
      oce = o;
   }

   //vozel s podatkom p in kazalcema na levega (l)
   // in desnega (d) naslednika
   public Vozel(int p, Vozel l, Vozel d){
      this.podatek = p;
      this.levi = l;
      this.desni = d;
      this.oce = null;// oceta nastavljamo sproti
   }

   //metoda, ki nastavi podatel v vozlu
   public void nastaviPodatek(int x){
      this.podatek = x;
   }

   //metoda, ki vrne podatek v vozlu
   public int vrniPodatek(){
      return this.podatek;
   }

   //metoda, ki nastavi levega naslednika
   public void nastaviLevi(Vozel v){
      this.levi = v;
   }

   //metoda, ki vrne levega naslednika
   public Vozel vrniLevi(){
      return this.levi;
   }

   //metoda, ki nastavi desnega naslednika
   public void nastaviDesni(Vozel v){
      this.desni = v;
   }

   //metoda, ki vrne desnega naslednika
   public Vozel vrniDesni(){
      return this.desni;
   }

   //metoda, ki nastavi oceta
   public void nastaviOce(Vozel v){
      this.oce = v;
   }

   //metoda, ki vrne oceta
   public Vozel vrniOce(){
      return this.oce;
   }
  	 
}








